com.fasterxml.jackson.databind.introspect

## Class ObjectIdInfo

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.ObjectIdInfo

    public class ObjectIdInfo
    extends Object

Container object that encapsulates information usually derived from `JsonIdentityInfo` annotation or its custom alternatives

### Field Summary

Fields
`protected boolean` `_alwaysAsId`
`protected Class<? extends ObjectIdGenerator<?>>` `_generator`
`protected PropertyName` `_propertyName`
`protected Class<?>` `_scope`

### Constructor Summary

Constructors
`` `ObjectIdInfo(PropertyName name, Class<?> scope, Class<? extends ObjectIdGenerator<?>> gen)`
`protected` `ObjectIdInfo(PropertyName prop, Class<?> scope, Class<? extends ObjectIdGenerator<?>> gen, boolean alwaysAsId)`
`` `ObjectIdInfo(String name, Class<?> scope, Class<? extends ObjectIdGenerator<?>> gen)` Deprecated.

### Method Summary

Methods
`boolean` `getAlwaysAsId()`
`Class<? extends ObjectIdGenerator<?>>` `getGeneratorType()`
`PropertyName` `getPropertyName()`
`Class<?>` `getScope()`
`String` `toString()`
`ObjectIdInfo` `withAlwaysAsId(boolean state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _propertyName

    protected final PropertyName _propertyName

#### _generator

    protected final Class<? extends ObjectIdGenerator<?>> _generator

#### _scope

    protected final Class<?> _scope

#### _alwaysAsId

    protected final boolean _alwaysAsId

### Constructor Detail

#### ObjectIdInfo

    public ObjectIdInfo(PropertyName name,
                Class<?> scope,
                Class<? extends ObjectIdGenerator<?>> gen)

#### ObjectIdInfo

    @Deprecated
    public ObjectIdInfo(String name,
                           Class<?> scope,
                           Class<? extends ObjectIdGenerator<?>> gen)

Deprecated.

#### ObjectIdInfo

    protected ObjectIdInfo(PropertyName prop,
                Class<?> scope,
                Class<? extends ObjectIdGenerator<?>> gen,
                boolean alwaysAsId)

### Method Detail

#### withAlwaysAsId

    public ObjectIdInfo withAlwaysAsId(boolean state)

#### getPropertyName

    public PropertyName getPropertyName()

#### getScope

    public Class<?> getScope()

#### getGeneratorType

    public Class<? extends ObjectIdGenerator<?>> getGeneratorType()

#### getAlwaysAsId

    public boolean getAlwaysAsId()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`